package com.brilliance.isc.mda.dao;
import org.apache.ibatis.annotations.Param;

import com.brilliance.isc.bo.Yptuid;
import com.brilliance.isc.vo.manager.YptuidVo;

import java.util.List;

public interface YptuidMapper {
    int deleteByPrimaryKey(Yptuid record);

    int insert(Yptuid record);

    int insertSelective(Yptuid record);

    Yptuid selectByPrimaryKey(Yptuid record);

    int updateByPrimaryKeySelective(Yptuid record);

    int updateByPrimaryKey(Yptuid record);

    List<Yptuid> listByRecord(YptuidVo record);

    int addYptUid(Yptuid record);

    Yptuid selectByStbtblAndBranchinr(@Param("stbtbl") String stbtbl, @Param("branchinr") String branchinr);

    int selectCountByBranch(String branch);
}
